
TODO:
- share links etc with pink

Software is at the core of so many things we do
Nearly everyone uses social networks to communicate, many people have Internet-connected computers in their phones, and most office jobs involve interacting with a computer to get work done. As a result, the demand for people who can code has skyrocketed. Countless books, interactive web tutorials, and developer boot camps promise to turn ambitious beginners into software engineers with six-figure salaries.



You dont need to be a rock star to play the guitar
You dont need to be a software engineer or computer scientist to automate parts of your work
Programming is simply the act of entering instructions for the computer to perform


Things you can do:


    Moving and renaming thousands of files and sorting them into folders

    Filling out online forms, no typing required

    Downloading files or copy text from a website whenever it updates

    Having your computer text you custom notifications

    Updating or formatting Excel spreadsheets

    Checking your email and sending out prewritten responses



```
passwordFile = open('SecretPasswordFile.txt')
❷ secretPassword = passwordFile.read()
❸ print('Enter your password.')
  typedPassword = input()
❹ if typedPassword == secretPassword:
❺    print('Access granted')
❻    if typedPassword == '12345':
❼       print('That password is one that an idiot puts on their luggage.')
  else:
❽    print('Access denied')
```

Python = programming language
It has syntax rules (much like excel formulat)
run via Python interpreter (as opposed to excel program)

Myth: programming is cryptic
Myth: programmers need to be awesome at math
    Like writing down a recipe
Myth: Programming is dull
    It's actually pretty creative.
    The difference between programming and other creative activities is that when programming, you have all the raw materials you need in your computer; you don’t need to buy any additional canvas, paint, film, yarn, LEGO bricks, or electronic components. When your program is written, it can easily be shared online with the entire world. And though you’ll make mistakes when programming, the activity is still a lot of fun.





Icebreaker


Contents:
    - free, open source, closed source software
        - open office, libre office, and google products versus ms office
        - linux versus windows+apple

    - common business problems addressed by code and software
        -

    - and if you have an idea for a killer application...who is going to build it? Can you even explain what it needs to do? Can you spot the bullshit and bad assumptions?
    - many projects die because of bad specifications and unrealistic expectations

    - stats: x% of software projects go over time, over budget. Why?
        - incorrect technical specifications
        - bad communication
        - bad estimates

    - general skills developed through programming
        - logical, analytical thinking
        - break a big problem into byte sized chunks
        - figure out what order in which to address those chunks




- you have coded before
    - excel formulae


Myth: You need to be an elete hacker in order to be productive
 with most skills there is a diminishing return on investment as you get better, unless your aim is to be a specialist in that one thing. Eg:

 - be a generalist in most things, recruit specialists
- talk about writing:
http://kevindewalt.com/2013/08/04/what-entrepreneurs-need-to-know-about-coding/

You written English is about as good as my 汉字   Improve Skill
1   You can write like a high-school educated American but don’t use written English much in your work  Improve Skill
2   You write like a college-educated American and are very comfortable with day-to-day business communication like email word-processing and presentations     Optimal
3   You have worked to develop basic sales and marketing skills like writing Ad copy and content marketing. You write regularly to maintain your skills and read guides like Copyhackers to get better  Optimal
4   You’re an excellent writer and have worked in marketing or editorial departments where a key component of your work was writing copy    Optimal
5   You make your living by writing and have the talent and skills to be able to work at top advertising firms or serve as an editor    Hire at this Level
6   Don Draper and Bill Shakespeare call you when they’ve got writer’s block    Hire at this Level

Say you need to hire a top-notch English writer...



0   You use the web but have no idea how it works   Improve Skill
1   You’ve worked with programmers before and can participate in a basic business conversation about topics like databases/deadlines/bugs. You had a programming class in college once but never spent much time building anything yourself     Improve Skill
2   You’ve done a few small programming projects yourself and basically understand how everything works although you’ve never deployed production-level application. When you hear a new term you can look it up and understand what it means   Optimal
3   You can – albeit slowly – create and deploy a basic data-driven web application using a popular framework like Rails or Django. Your code is far from elegant and you first turn to StackOverflow whenever you try to do something new. You learn new skills and technologies as you need them  Optimial
4   You’re good enough to work as a freelancer building web applications for clients. You participate in open-source projects just to improve your skills   Optimal
5   You’re a great programmer and good enough to work for companies like Pivotal Labs. “It works” isn’t good enough – you pride yourself in creating elegant maintainable and scalable code     Hire at this Level
6   No time for programming – you’re too busy laying out the vision for what comes after node.js    Hire at this Level




Myth: you need lots of money to deploy an application on the internet
    ( this one is free )



Rapid prototyping - change the world by solving problems. You can build stuff to test your ideas, even if you get someone else to polish and productionise the prototype. Avoid costly mistakes of bad specs, because the spec is a prototype you built yourself

As you think logically and algorithmically through the problems inherent in your project and turn them into objects, methods and control flows, you’ll break down the problem your business solves into the bite-size pieces you’ll reuse and rely on in the future.





How many of you have
- thought about a web based or mobile tech business
- thought it was beyond your skills and budget?

Why code:
- analise problems in a new way
- magnify human potential - extelligence
- connection. eg auto-leverage social media + marketing
- test ideas at low cost
- fun
- know the value of code so you can work with coders


you'll find yourself hit with a wave of many unfamiliar technical tasks before you can actually go live

automation and time saving in your own business

business owners have no shortage of important tasks

From improving customer communications to simplifying your marketing, these valuable tools will help you make better use of your time so you can grow your small business faster than ever.

almost every office worker uses a laptop as a daily tool

computing chores that require a lot of repetitive (and fairly mindless) typing and clicking

It's not rocket surgery people






TODO:
- share links etc with pink

Software is at the core of so many things we do
Nearly everyone uses social networks to communicate, many people have Internet-connected computers in their phones, and most office jobs involve interacting with a computer to get work done. As a result, the demand for people who can code has skyrocketed. Countless books, interactive web tutorials, and developer boot camps promise to turn ambitious beginners into software engineers with six-figure salaries.



You dont need to be a rock star to play the guitar
You dont need to be a software engineer or computer scientist to automate parts of your work
Programming is simply the act of entering instructions for the computer to perform


Things you can do:


    Moving and renaming thousands of files and sorting them into folders

    Filling out online forms, no typing required

    Downloading files or copy text from a website whenever it updates

    Having your computer text you custom notifications

    Updating or formatting Excel spreadsheets

    Checking your email and sending out prewritten responses



```
passwordFile = open('SecretPasswordFile.txt')
❷ secretPassword = passwordFile.read()
❸ print('Enter your password.')
  typedPassword = input()
❹ if typedPassword == secretPassword:
❺    print('Access granted')
❻    if typedPassword == '12345':
❼       print('That password is one that an idiot puts on their luggage.')
  else:
❽    print('Access denied')
```

Python = programming language
It has syntax rules (much like excel formulat)
run via Python interpreter (as opposed to excel program)

Myth: programming is cryptic
Myth: programmers need to be awesome at math
    Like writing down a recipe
Myth: Programming is dull
    It's actually pretty creative.
    The difference between programming and other creative activities is that when programming, you have all the raw materials you need in your computer; you don’t need to buy any additional canvas, paint, film, yarn, LEGO bricks, or electronic components. When your program is written, it can easily be shared online with the entire world. And though you’ll make mistakes when programming, the activity is still a lot of fun.
